# KeyPair Interface Reference
[Diffie-Hellman Key Agreement Method (RFC-2631) implementation]

Inheritance diagram for KeyPair:
[legend]

List of all members.

## Public Member Functions

| getPublic ()
| getPrivate ()

## Detailed Description

Definition at line 15 of file KeyPair.class.php.

## Member Function Documentation

KeyPair::getPrivate | ( |  | ) |

Returns:
  BigInteger

Implemented in DiffieHellmanKeyPair.

KeyPair::getPublic | ( |  | ) |

Returns:
  BigInteger

Implemented in DiffieHellmanKeyPair.

The documentation for this interface was generated from the following file:

- main/Crypto/KeyPair.class.php